LrCommand(3pm)

NAME
Lire::LrCommand - Base class for command line programs.

SYNOPSIS
  my $prog = new Lire::LrCommand();
  $prog->init();
  $prog->add_section( 'myprog', __( 'My Program Options' ) );
  $prog->add_option( 'name' => 'myoption', 'type' => '=s',
                     'help' => __( 'My option help.' ) );
  $prog->add_common_options();
  $prog->parse_options();

DESCRIPTION
Class which is used to create command line program which shares functionaliy.

METHODS

  new( [$usage], [$help] )
Creates a new Lire::LrCommon instance. Initializes the usage string and the help message to $usage and $help.